Passer au contenu principal
GET
/
files
/
v3
/
files
/
import-from-url
/
async
/
tasks
/
{taskId}
/
status
Vérifier le statut d'import
curl --request GET \
  --url https://api.hubapi.com/files/v3/files/import-from-url/async/tasks/{taskId}/status \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "taskId": "<string>",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z",
  "result": {
    "access": "HIDDEN_INDEXABLE",
    "archived": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "archivedAt": "2023-11-07T05:31:56Z",
    "defaultHostingUrl": "<string>",
    "encoding": "<string>",
    "expiresAt": 123,
    "extension": "<string>",
    "fileMd5": "<string>",
    "height": 123,
    "isUsableInContent": true,
    "name": "<string>",
    "parentFolderId": "<string>",
    "path": "<string>",
    "size": 123,
    "sourceGroup": "CONTENT",
    "type": "<string>",
    "url": "<string>",
    "width": 123
  }
}

Produits pris en charge

Exige l'un des produits suivants ou un produit supérieur.
Marketing HubMarketing Hub -Gratuit
Sales HubSales Hub -Gratuit
Service HubService Hub -Gratuit
Content HubContent Hub -Gratuit
Cette API requiert l'une des portées suivantes :
files
files.ui_hidden.read

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

taskId
string
requis

ID de tâche importé par URL

Réponse

successful operation

completedAt
string<date-time>
requis

Moment où les changements demandées ont été terminés.

startedAt
string<date-time>
requis

Horodatage représentant quand la tâche a commencé.

status
enum<string>
requis

Statut actuel de la tâche

Options disponibles:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
taskId
string
requis

ID de la tâche.

errors
object[]

Messages d'erreur descriptifs

Lien pour vérifier le statut de la tâche demandée.

numErrors
integer<int32>

Nombre d'erreurs résultant des changements demandés.

requestedAt
string<date-time>

Horodatage représentant quand la tâche a été demandée.

result
object

File

Last modified on February 12, 2026